Bug 419091 - Missing <dst/gssapi.h> in bind-devel package
Summary: Missing <dst/gssapi.h> in bind-devel package
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
(Show other bugs)
Version: 8
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-11 01:39 UTC by bwelling
Modified: 2013-04-30 23:37 UTC (History)
1 user (show)

Fixed In Version: 9.5.0-20.b1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 15:25:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description bwelling 2007-12-11 01:39:07 UTC
Description of problem:

bind-devel is missing header files, preventing programs from building.


Version-Release number of selected component (if applicable):

bind-devel-9.5.0-18.a7.fc8


How reproducible:

Attempt to build a program which #includes any header files which depend on
missing files, such as <dst/gssapi.h>.

Steps to Reproduce:
1. Write a program with, for example, "#include <dns/message.h>"
2. Attempt to compile the program
3.
  
Actual results:

An error like:

In file included from /usr/include/dns/message.h:34,
                 from common.h:70,
                 from dnsperf.c:41:
/usr/include/dst/dst.h:29:24: error: dst/gssapi.h: No such file or directory


Expected results:

A successful build.

Additional info:

Comment 1 Adam Tkac 2007-12-12 11:26:48 UTC
fixed in CVS, will be in next update

Comment 2 Fedora Update System 2007-12-20 19:49:17 UTC
bind-9.5.0-20.b1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.